# class KKeyChooser | Widget for configuration of KAccel and KGlobalAccel. More...
Definition | `#include <kkeydialog.h>`
Inherits | QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum { NoKey = 1, DefaultKey, CustomKey }

#### Public Methods

- KKeyChooser ( KKeyEntryMap *aKeyDict, QWidget* parent = 0, bool check_against_std_keys = false )
- ~KKeyChooser ()

#### Public Slots

- void allDefault ()
- void listSync ()

#### Signals

- void keyChange ()

#### Protected Methods

- void keyPressEvent ( QKeyEvent* _event )
- void fontChange ( const QFont& _font )
- bool isKeyPresent (int kcode, bool warnuser = true )
- void setKey ( int kCode )

#### Protected Slots

- void toChange ( QListViewItem *item )
- void changeKey ()
- void updateAction ( QListViewItem *item )
- void defaultKey ()
- void noKey ()
- void keyMode ( int _mode )
- void shiftClicked ()
- void ctrlClicked ()
- void altClicked ()
- void editKey ()
- void editEnd ()
- void readGlobalKeys ()
- void readStdKeys ()

#### Protected Members

- KKeyChooserPrivate *d

## Detailed Description

Configure dictionaries of key/action associations for KAccel and KGlobalAccel.

The class takes care of all aspects of configuration, including handling key conflicts internally. Connect to the allDefault() slot if you want to set all configurable keybindings to their default values.

See also: KKeyDialog

enum { NoKey = 1, DefaultKey, CustomKey } | ###

KKeyChooser ( KKeyEntryMap *aKeyDict, QWidget* parent = 0, bool check_against_std_keys = false ) | ### KKeyChooser

Constructor.

Parameters:

aKeyDict | A dictionary (QMap) of key definitons.

~KKeyChooser () | ### ~KKeyChooser

void keyChange () | ### keyChange

[signal]

Emitted when a key definition has been changed.

void allDefault () | ### allDefault

[slot]

Set all keys to their default values (bindings).

void listSync () | ### listSync

[slot]

Set all list entries to their changed values. Use this if you changed the underlying map

void toChange ( QListViewItem *item ) | ### toChange

[protected slots slot]

void changeKey () | ### changeKey

[protected slots slot]

void updateAction ( QListViewItem *item ) | ### updateAction

[protected slots slot]

void defaultKey () | ### defaultKey

[protected slots slot]

void noKey () | ### noKey

[protected slots slot]

void keyMode ( int _mode ) | ### keyMode

[protected slots slot]

void shiftClicked () | ### shiftClicked

[protected slots slot]

void ctrlClicked () | ### ctrlClicked

[protected slots slot]

void altClicked () | ### altClicked

[protected slots slot]

void editKey () | ### editKey

[protected slots slot]

void editEnd () | ### editEnd

[protected slots slot]

void readGlobalKeys () | ### readGlobalKeys

[protected slots slot]

void readStdKeys () | ### readStdKeys

[protected slots slot]

void keyPressEvent ( QKeyEvent* _event ) | ### keyPressEvent

[protected]

Reimplemented from QWidget.

void fontChange ( const QFont& _font ) | ### fontChange

[protected]

Reimplemented from QWidget.

bool isKeyPresent (int kcode, bool warnuser = true ) | ### isKeyPresent

[protected]

void setKey ( int kCode ) | ### setKey

[protected]

KKeyChooserPrivate * d | ### d

[protected]

- Version: $Id: kkeydialog.h,v 1.30 2000/07/06 13:50:38 coolo Exp $
- Author: Nicolas Hadacek <hadacek@via.ecp.fr>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.